Lingua-TreeTagger v0.10 Perl 5 v5.12.5 i686-linux-thread-multi

Status
Unknown
From
Nigel Horne
Dist
Lingua-TreeTagger v0.10
Platform
Perl 5 v5.12.5 i686-linux-thread-multi
Date
2017-09-07T19:42:51
ID
bc2a7bbc-9404-11e7-8929-daabf0ac1f1e
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Aris Xanthos,

This is a computer-generated report for Lingua-TreeTagger-0.10
on perl 5.12.5, created by CPAN-Reporter-1.2017.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin/perl5.12.5 Build.PL --installdirs site':

Checking prerequisites...
  requires:
    !  Moose is not installed
    !  Path::Class is not installed
  build_requires:
    !  Test::More::UTF8 is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Please enter the full path to the TreeTagger executable:  ERROR: This build seems to be unattended, but there is no default value
for this question.  Aborting.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module        Need Have   
    ------------- ---- -------
    File::Spec    0    3.31_01
    File::Which   0    1.19   
    Module::Build 0.42 0.4224 


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    HARNESS_OPTIONS = j2
    LANG = en_US.UTF-8
    PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin:/home/njh/perl5/perlbrew/bin:/usr/bin:/bin
    PERL = /home/njh/perl5/perlbrew/perls/perl-5.12.5/bin/perl5.12.5
    PERL5LIB = /home/njh/.cpan/build/Module-Build-0.4224-4/blib/arch:/home/njh/.cpan/build/Module-Build-0.4224-4/blib/lib:/home/njh/.cpan/build/Perl-OSType-1.010-4/blib/arch:/home/njh/.cpan/build/Perl-OSType-1.010-4/blib/lib:/home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/arch:/home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/lib:/home/njh/.cpan/build/version-0.9918-3/blib/arch:/home/njh/.cpan/build/version-0.9918-3/blib/lib
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-gDH_ -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 3918
    PERL5_CPAN_IS_EXECUTING = 
    PERL5_CPAN_IS_RUNNING = 3918
    PERLBREW_BASHRC_VERSION = 0.73
    PERLBREW_HOME = /home/njh/.perlbrew
    PERLBREW_LIB = 
    PERLBREW_MANPATH = /home/njh/perl5/perlbrew/perls/perl-5.12.5/man
    PERLBREW_PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin
    PERLBREW_PERL = perl-5.12.5
    PERLBREW_ROOT = /home/njh/perl5/perlbrew
    PERLBREW_VERSION = 0.73
    PERL_AUTOINSTALL = --defaultdeps
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_LOCAL_LIB_ROOT = 
    SHELL = /bin/sh

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/njh/perl5/perlbrew/perls/perl-5.12.5/bin/perl5.12.5
    $UID/$EUID = 1000 / 1000
    $GID = 1000 4 24 25 29 30 44 46 108 1000
    $EGID = 1000 4 24 25 29 30 44 46 108 1000

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.16    
    CPAN::Meta          2.143240
    Cwd                 3.31    
    ExtUtils::CBuilder  0.27    
    ExtUtils::Command   7.18    
    ExtUtils::Install   1.55    
    ExtUtils::MakeMaker 7.18    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   2.21    
    File::Spec          3.31_01 
    JSON                n/a     
    JSON::PP            2.27203 
    Module::Build       0.4224  
    Module::Signature   n/a     
    Parse::CPAN::Meta   1.4414  
    Test::Harness       3.35    
    Test::More          1.001014
    YAML                1.23    
    YAML::Syck          1.30    
    version             0.9918  


--

Summary of my perl5 (revision 5 version 12 subversion 5) configuration:
   
  Platform:
    osname=linux, osvers=4.2.0-1-686-pae, archname=i686-linux-thread-multi
    uname='linux zack 4.2.0-1-686-pae #1 smp debian 4.2.6-1 (2015-11-10) i686 gnulinux '
    config_args='-de -Dprefix=/home/njh/perl5/perlbrew/perls/perl-5.12.5 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags= -Aeval:scriptdir=/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=undef, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='5.2.1 20151121', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/i386-linux-gnu /lib/../lib /usr/lib/i386-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
    libc=libc-2.19.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.19'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_USE_DEVEL
                        USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_PERL_ATOF
                        USE_REENTRANT_API
  Locally applied patches:
	Devel::PatchPerl 1.38
  Built under linux
  Compiled at Nov 24 2015 05:55:46
  %ENV:
    PERL="/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin/perl5.12.5"
    PERL5LIB="/home/njh/.cpan/build/Module-Build-0.4224-4/blib/arch:/home/njh/.cpan/build/Module-Build-0.4224-4/blib/lib:/home/njh/.cpan/build/Perl-OSType-1.010-4/blib/arch:/home/njh/.cpan/build/Perl-OSType-1.010-4/blib/lib:/home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/arch:/home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/lib:/home/njh/.cpan/build/version-0.9918-3/blib/arch:/home/njh/.cpan/build/version-0.9918-3/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="3918"
    PERL5_CPAN_IS_EXECUTING=""
    PERL5_CPAN_IS_RUNNING="3918"
    PERLBREW_BASHRC_VERSION="0.73"
    PERLBREW_HOME="/home/njh/.perlbrew"
    PERLBREW_LIB=""
    PERLBREW_MANPATH="/home/njh/perl5/perlbrew/perls/perl-5.12.5/man"
    PERLBREW_PATH="/home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.12.5/bin"
    PERLBREW_PERL="perl-5.12.5"
    PERLBREW_ROOT="/home/njh/perl5/perlbrew"
    PERLBREW_VERSION="0.73"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_LOCAL_LIB_ROOT=""
  @INC:
    /home/njh/.cpan/build/Module-Build-0.4224-4/blib/arch
    /home/njh/.cpan/build/Module-Build-0.4224-4/blib/lib
    /home/njh/.cpan/build/Perl-OSType-1.010-4/blib/arch
    /home/njh/.cpan/build/Perl-OSType-1.010-4/blib/lib
    /home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/arch
    /home/njh/.cpan/build/Module-Metadata-1.000033-5/blib/lib
    /home/njh/.cpan/build/version-0.9918-3/blib/arch
    /home/njh/.cpan/build/version-0.9918-3/blib/lib
    /home/njh/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5/i686-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5
    /home/njh/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5/i686-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5
    .